# Poco::Net

# class UnsupportedRedirectException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: HTTPException

All Base Classes: Poco::Exception, Poco::IOException, HTTPException, NetException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### UnsupportedRedirectException

UnsupportedRedirectException(
int code = 0
);

### UnsupportedRedirectException

UnsupportedRedirectException(
const UnsupportedRedirectException & exc
);

### UnsupportedRedirectException

UnsupportedRedirectException(
const std::string & msg,
int code = 0
);

### UnsupportedRedirectException

UnsupportedRedirectException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### UnsupportedRedirectException

UnsupportedRedirectException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~UnsupportedRedirectException

~UnsupportedRedirectException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Net::HTTPException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Net::HTTPException::name()

### operator =

UnsupportedRedirectException & operator = (
const UnsupportedRedirectException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::HTTPException::rethrow()